pyqt5 (5.4.2+dfsg-1build3) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 02 Aug 2015 07:59:54 +0000

pyqt5 (5.4.2+dfsg-1build2) wily; urgency=medium

  * No-change rebuild with fixed dh-python.  LP: #1477759

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jul 2015 11:12:51 -0700

pyqt5 (5.4.2+dfsg-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 21:27:20 +0000

pyqt5 (5.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop all patches, applied upstream.
  * Add a temporary hack to use upstream stylesheet when building the
    documentation with Sphinx 1.2.
  * Build-depend on sip 4.16.8+dfsg-2, as the previous upload would
    generate wrong dependencies for Python 3 packages.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jun 2015 14:30:12 +0300

pyqt5 (5.4.1+dfsg-3) experimental; urgency=medium

  * Update and unify descriptions of binary packages.
  * Backport upstream change to add support for Qt 5.4.2.
  * Let pyuic sort the import order (closes: #787251, thanks to Reiner
    Herrmann for the patch).
  * Build against Qt 5.4.2 to make sure we are ready for the transition.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 06 Jun 2015 12:10:46 +0300

pyqt5 (5.4.1+dfsg-2) experimental; urgency=medium

  * Backport some fixes to setZOrder() function from upstream
    (uiparser_setzorder_fix.diff).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 Mar 2015 10:49:35 +0300

pyqt5 (5.4.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - No longer inserts timestamps into generated files (closes: #774510).
    - Require sip 4.16.6 for building.
  * Build against Qt 5.4.1.
  * Update list of possible options in pylupdate5 manpage.
  * Add some Suggests to pyqt5-examples package (closes: #779369).
  * No-op wrap and sort.
  * Bump years in debian/copyright.
  * Remove .pyc and .DS_Store files when cleaning.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Mar 2015 22:14:15 +0300

pyqt5 (5.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop add_dependency.diff, applied upstream.
  * Bump required sip dependency to 4.16.4.
  * Install QtXml module.
  * Build against Qt 5.4.
  * Fix descriptions of some binary packages (closes: #769468, #771713).
  * Add missing licensing information to debian/copyright.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Dec 2014 19:49:12 +0300

pyqt5 (5.3.2+dfsg-3) unstable; urgency=medium

  * Fix a typo in debian/tests/control.
  * Test Enginio and QtWebSockets modules in autopkgtest.
  * Add a patch from OpenSUSE to make pyqt5 build against Qt 5.3.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Sep 2014 13:21:26 +0400

pyqt5 (5.3.2+dfsg-2) unstable; urgency=medium

  * Add new package for Enginio module.
  * Add new package for QtWebSockets module.
  * Fix Lintian warnings about too short and duplicate long descriptions.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Sep 2014 14:40:11 +0400

pyqt5 (5.3.2+dfsg-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Test Python 2 versions in autopkgtest.
  * Set X-Python-Version to >= 2.7 as the current code in debian/rules
    builds only for that version.
  * Remove all strip calls from generated Makefiles.
  * Update my e-mail address.
  * Update debian/copyright.

  [ Scott Kitterman ]
  * Set minimum python3-all-dev version to 3.3.2-5~ due to use of configdir in
    debian/rules (LP: #1365814)

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Sep 2014 14:13:57 +0400

pyqt5 (5.3.1+dfsg-4) unstable; urgency=medium

  * Add support for python in addition to python3 because the upcoming calibre
    2.X series of releases will use PyQt5 with Python and not Python 3
    - Add python build-depends to debian/control
    - Add python-* equivalents of existing python3-* packages to debian/
      control
    - Update debian/rules to account for python as well as python3
    - Set minimum python3 version to 3.3 since the revised debug configure
      rule will not work for 3.2
    - Replicate and update all python3-* .install files as python-*

 -- Scott Kitterman <scott@kitterman.com>  Sun, 03 Aug 2014 18:48:21 -0400

pyqt5 (5.3.1+dfsg-3) unstable; urgency=medium

  * debian/tests/import: Redirect stderr to stdout for debug interpreter.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 26 Jul 2014 21:57:58 +0400

pyqt5 (5.3.1+dfsg-2) unstable; urgency=medium

  * Workaround GCC bug #61918 by replacing -isystem with -I in Makefiles
    (closes: #755767).
  * Test importing from debug interpreters in autopkgtest.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 26 Jul 2014 09:59:30 +0400

pyqt5 (5.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Drop debian/patches/fix_implicit_qtablewidget.patch, which had been
      cherry picked from upstream

 -- Scott Kitterman <scott@kitterman.com>  Sat, 05 Jul 2014 00:05:42 -0400

pyqt5 (5.3+dfsg-3) unstable; urgency=medium

  * Added debian/patches/fix_implicit_qtablewidget.patch to fix a pyuic
    regression in the handling of implicit QTableWidget dimensions

 -- Scott Kitterman <scott@kitterman.com>  Thu, 19 Jun 2014 00:20:35 -0400

pyqt5 (5.3+dfsg-2) unstable; urgency=medium

  * Bump Qt build-dependencies to 5.3, to make sure headers are in
    correct (multi-arch) locations.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 08 Jun 2014 17:01:30 +0400

pyqt5 (5.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Fix uscan warning about trailing / in Files-Excluded.
  * Use new --no-tools configure flag on non-default Python versions.
  * Bump required sip4 version to 4.16.
  * Install QtQuickWidgets.so if it is available.

 -- Dmitry Shachnev <mitya57@gmail.com>  Mon, 02 Jun 2014 15:16:52 +0400

pyqt5 (5.2.1+dfsg-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Drop get-orig-source.sh in favour of Files-Excluded field in
    debian/copyright.

  [ Scott Kitterman ]
  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 May 2014 09:38:52 -0400

pyqt5 (5.2.1+dfsg-2) experimental; urgency=medium

  * Add new package for QtPositioning module.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 19 Apr 2014 23:25:04 +0400

pyqt5 (5.2.1+dfsg-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Drop all patches, applied upstream.
  * Bump python3-sip-dev build-dependency to 4.15.5.
  * Update licensing information for pylupdate and pyrcc modules.

 -- Dmitry Shachnev <mitya57@gmail.com>  Tue, 11 Mar 2014 12:45:18 +0400

pyqt5 (5.2+dfsg-4) unstable; urgency=medium

  * Build-depend on libqt5x11extras5-dev instead of libqt5x11extras-dev,
    which is now a transitional package.
  * Drop QMAKESPEC export, seems to be not needed anymore.
  * Drop hack for alpha, it is no longer supported and qtwebkit is
    not built there anyway.
  * Backport upstream patch to fix licensing for dbus module.
  * Update debian/copyright to use the machine-readable DEP-5 format.

 -- Dmitry Shachnev <mitya57@gmail.com>  Mon, 10 Feb 2014 09:24:20 +0400

pyqt5 (5.2+dfsg-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Medium urgency for auto-qtbase-opensource-src transition
  * No longer create sip symlinks in build directories, that does not
    have any effect.
  * debian/patches/fix_qreal_check.diff: Fix qreal check for Qt 5.2.
  * Adjust dh_compress call to make exclude list not match the whole
    pyqt5-examples package.

  [ Scott Kitterman ]
  * Update QMAKESPEC definition in debian/rules for new location (Thanks to
    Lisandro Damián Nicanor Pérez Meyer for the fix)

 -- Dmitry Shachnev <mitya57@gmail.com>  Fri, 31 Jan 2014 20:03:53 +0400

pyqt5 (5.2+dfsg-2) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Add new package for QtX11Extras module.
  * Autopkgtest improvements:
    - Make import autopkgtest depend on python3-all.
    - Don’t set -x in import autopkgtest.
    - Test QtDBus and QtX11Extras modules as well.
  * Split examples into their own package, pyqt5-examples.
  * Rename qpair_old_qt.diff to old_qt.diff, and include a fix for
    QtX11Extras module.

  [ Scott Kitterman ]
  * Update debian/copyright for 2014 references

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 19 Jan 2014 12:05:05 +0400

pyqt5 (5.2+dfsg-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * Drop all patches, applied upstream.
  * Backport a patch (qpair_old_qt.diff) to fix building against
    Qt 5.1.
  * Bump required sip version to 4.15.4.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add XS-Testsuite header for autopkgtest.

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 09 Jan 2014 11:48:59 +0400

pyqt5 (5.1.1+dfsg-3) experimental; urgency=low

  * Upload to experimental to build against Qt 5.2.
  * Backport upstream patch (gluint64.sip) to disable GLuint64 on GL ES.
  * Symlink duplicate files in examples using fdupes.
  * Add an autopkgtest to make sure all packages are co-installable
    and all modules are importable.
  * Temporary build-depend on libudev-dev on Linux to workaround qmake
    bug that adds -ludev when building QtSerialPort test code.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 22 Dec 2013 11:13:52 +0400

pyqt5 (5.1.1+dfsg-2) unstable; urgency=low

  * Add pyqt5.qtopengl-dbg Breaks/Conflicts to fix file overwrite error
    (Closes: #729737)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Nov 2013 16:42:07 -0500

pyqt5 (5.1.1+dfsg-1) unstable; urgency=low

  * New upstream bugfix release.
  * Add debian/get-orig-source.sh and explain how to use it in
    README.source; add jquery_rc.py to list of non-free files.
  * Use dh_link for linking jquery.js in examples.
  * Install QOpenGLFunctions libraries in python3-pyqt5.qtopengl package.
  * Call dh_install with --fail-missing option.
  * Do not install Windows-specific activeqt examples.
  * Add new packages for QtSerialPort and QtSensors modules.
  * Make sure dpkg build flags are actually applied.
  * Backport upstream patch to always apply passed qmake variables.
  * Pass --debug option to configure.py when doing debug builds.
  * Link with --as-needed.
  * Simplify install code in debian/rules.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 09 Nov 2013 14:26:40 +0400

pyqt5 (5.1+dfsg-1) unstable; urgency=low

  [ Scott Kitterman ]
  * New upstream release
  * Install designer plugin in python3-pyqt5
  * Move debug version of libpyqt5qmlplugin.so from python3-pyqt5-dbg to
    python3-pyqt5.qtquick-dbg to match the regular file and avoid duplication
    (Closes: #720679)
  * Remove debian/patches/libpython_multiarch.diff, equivalent change
    incorporated upstream (and debian/patches directory since there are no
    other patches)
  * Add README.source to document how to make DFSG tarball

  [ Dmitry Shachnev ]
  * Delete pycache directories in clean target.
  * Regenerate resource files during build.
  * Repack tarball to remove minified javascript from docs and fancybrowser
    example (Closes: #722990).
  * Update debian/watch to use dversionmangle.
  * Build QML plugin only for the default Python version.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 13 Oct 2013 07:53:00 -0400

pyqt5 (5.0.1-1) experimental; urgency=low

  * New upstream release.
  * Bump python3-sip-dev build-dependency to 4.15.
  * Drop all previous patches, applied upstream.
  * Add new package, python3-pyqt5.qtquick, containing QtQuick and QtQml
    extensions.
  * Install QtMultimediaWidgets extension.
  * Make pyqt5-doc recommend python3-pyqt5, because of the examples.
  * Add a patch to support multiarch locations of libpython.
  * Workaround useless warnings from dh_install --list-missing.

 -- Dmitry Shachnev <mitya57@gmail.com>  Thu, 22 Aug 2013 11:00:35 +0400

pyqt5 (5.0-3) unstable; urgency=low

  * Upload to unstable
  * Set X-Python3-Version back to >= 3.2 as the work-around is not longer
    neeeded (python3.2 is no longer supported in unstable)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 12 Aug 2013 19:49:25 -0400

pyqt5 (5.0-2) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Update debian/copyright, thanks Paul Tagliamonte for comments.
  * Use xz compression for binary packages.
  * Install files to python3-dbus.mainloop.pyqt5{,-dbg} directly instead of
    generating .install files. This fixes a problem of the -dbg package being
    not installable because of unwanted debug-id files (closes: #718551).

  [ Scott Kitterman ]
  * Add debian/patches/arm_compile.patch, cherry picked from upstream to
    enable builds on arm (replaces qreal_float_support.diff that was used in
    python-qt4)
  * Remove pycache directories left over in pyqt5-doc

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 Aug 2013 17:44:19 -0400

pyqt5 (5.0-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Initial release, based on python-qt4 packaging (closes: #712630).
  * debian/patches/mainloop_rename.diff: upstream patch to rename
    dbus.mainloop.qt module to dbus.mainloop.pyqt5, to prevent conflicts
    with PyQt4.

  [ Scott Kitterman ]
  * Add call to dh_installdocs in debian/rules
  * Added doc-base registration, debian/pyqt5-doc.doc-base
  * Remove empty pyqt5-doc/examples/webkit/googlechat directory
  * Add debian/pyqt5-doc.links to replace embedded copy of jquery.min.js in
    the fancybrowser example with a symlink to the existing copy in the html
    documentation
  * Add debian/patches/fix-example-shebang to remove a buggy and unneeded
    shebang in examples/sql/connection.py
  * Set X-Python3-Version: >= 3.3 in debian/control as a temporary workaround
    to a dh_python3 issue with extension renaming

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 28 Jul 2013 13:15:13 +0400
